> For the complete documentation index, see [llms.txt](https://api.senderwiz.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.senderwiz.com/admin/customer/get-all-timezones.md).

# Get All Timezones

### 🌍 Get All Timezones

Fetch and display the full list of timezones available in your SenderWiz installation via Admin API.

***

#### 🔹 HTTP Request

```http
GET ADMIN-API-URL/timezones
```

***

#### 🔸 Query Parameters

| Parameter | Default | Description                 |
| --------- | ------- | --------------------------- |
| page      | 1       | Current page to retrieve.   |
| per\_page | 10      | Number of records per page. |

***

#### 🔐 Authorization Header

```bash
X-ADMIN-KEY: your-admin-api-key-here
```

***

#### 💻 PHP Example

```php
// GET ALL TIMEZONES
$response = $adminEndpoint->getTimezones($pageNumber = 1, $perPage = 10);

// DISPLAY RESPONSE
echo '<hr /><pre>';
print_r($response->body);
echo '</pre>';
```

***

#### 📦 Sample JSON Response

```json
{
  "status": "success",
  "data": {
    "count": "10",
    "total_pages": 1,
    "current_page": 1,
    "next_page": null,
    "prev_page": null,
    "records": [
      {
        "timezone_id": "1",
        "name": "(GMT-11:00) Pacific/Midway"
      },
      {
        "timezone_id": "2",
        "name": "(GMT-11:00) Pacific/Niue"
      },
      {
        "timezone_id": "3",
        "name": "(GMT-11:00) Pacific/Pago_Pago"
      },
      {
        "timezone_id": "4",
        "name": "(GMT-10:00) Pacific/Honolulu"
      },
      {
        "timezone_id": "5",
        "name": "(GMT-10:00) Pacific/Rarotonga"
      },
      {
        "timezone_id": "6",
        "name": "(GMT-10:00) Pacific/Tahiti"
      },
      {
        "timezone_id": "7",
        "name": "(GMT-09:30) Pacific/Marquesas"
      },
      {
        "timezone_id": "8",
        "name": "(GMT-09:00) America/Adak"
      },
      {
        "timezone_id": "9",
        "name": "(GMT-09:00) Pacific/Gambier"
      },
      {
        "timezone_id": "10",
        "name": "(GMT-08:00) America/Anchorage"
      }
    ]
  }
}

```

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.senderwiz.com/admin/customer/get-all-timezones.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
